Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226277 - Merge Review: perl-RPM-Specfile
Summary: Merge Review: perl-RPM-Specfile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:37 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-05 09:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-05 09:26:12 UTC
steve: fedora-review+


Attachments (Terms of Use)
spec patch (deleted)
2007-03-20 18:44 UTC, Steven Pritchard
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:37:44 UTC
Fedora Merge Review: perl-RPM-Specfile

http://cvs.fedora.redhat.com/viewcvs/devel/perl-RPM-Specfile/
Initial Owner: rnorwood@redhat.com

Comment 1 Steven Pritchard 2007-03-20 18:44:25 UTC
Created attachment 150516 [details]
spec patch

- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.
- Improve description.
- Add Archive::Tar, ExtUtils::MakeMaker, and URI::Escape build deps.
- Remove redundant YAML explicit dep.
- Package README.

Comment 2 Steven Pritchard 2007-06-27 22:56:20 UTC
My patch still applies fine...

Comment 3 Robin Norwood 2007-06-28 15:20:36 UTC
applied patch and built for f8!

I think this needs a '+' fedora-review from you before closing.

Comment 4 Steven Pritchard 2007-06-28 19:45:05 UTC
Apparently I missed two (really, really minor) things that rpmlint complains 
about:

W: perl-RPM-Specfile macro-in-%changelog _libdir
W: perl-RPM-Specfile mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 
16)

It looks like you can fix those with the following if you want:

  sed -i -e '100s/%/%%/;16s/\t/     /' perl-RPM-Specfile.spec

I think those are minor enough to call this APPROVED though.

Comment 5 Robin Norwood 2007-07-03 16:24:58 UTC
fixed in 1.51-4

Comment 6 Steven Pritchard 2008-05-08 19:05:26 UTC
We can close this now, right?

Comment 7 Marcela Mašláňová 2008-12-15 08:29:41 UTC
This package is needed in EPEL-{4,5} for perl-Satcon. I can maintain it for EPEL, if you don't want it.

Comment 8 Marcela Mašláňová 2008-12-15 08:44:23 UTC
Hm false alarm. This package have branches for RHEL, but it wasn't included into comps.

Comment 9 Marcela Mašláňová 2009-02-05 09:26:12 UTC
Ok, now we can close it because problem with EPEL/RHEL will be solved in different tickets.


Note You need to log in before you can comment on or make changes to this bug.